<?php

declare(strict_types=1);

use System\Database\Schema;

return function (): string {

    return Schema::create('departments', function ($table) {

        $table->id();

        $table->foreignId('branch_id')
              ->constrained('branches');

        $table->string('department_code',30);

        $table->string('department_name',150);

        $table->boolean('status')->default(true);

        $table->timestamps();

    });

};